textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/pad_wop/padtele_green
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele_green.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric_green.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric_green.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele_green.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

flareshader
{
        cull none
        {
                map textures/pad_gfx/flareb.tga
                blendfunc gl_one gl_one
                rgbgen vertex
        }
}

textures/pad_gfx02/light_white
{
    q3map_surfacelight 2000
    surfaceparm nolightmap
    {
        map textures/pad_gfx02/light_white.tga
    }
}

textures/pad_gfx02b/beam_yellow
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_yellow.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_red.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_blue
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_blue.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_grey
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_grey.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_glowsky/padbox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/pad_glowsky/padbox_white.tga
	q3map_sun	1 1 1 100 -58 58
	q3map_surfacelight 90

        skyparms env/padboxglow - -
       {
		map textures/pad_glowsky/sky.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.01 0.02
		tcmod scale 1 2
	}
       {
		map textures/pad_glowsky/sky2.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.02 -0.01
		tcmod scale 1 2
	}
}

textures/pad_kitchen/microglass01
{
              surfaceparm trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pad_kitchen/microglass01.tga
        blendfunc gl_one gl_one
    }
}

textures/pad_tex02/padjump_fly
{

	
	{
		map $lightmap
		rgbgen identity
	}

	{ 
		map textures/pad_tex02/padjump_fly.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/pad_tex02/padjump_light02b.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/pad_tex02/padjump_start.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/pad_tex02/padjump_flyred
{
	
	{
		map $lightmap
		rgbgen identity
	}

	{ 
		map textures/pad_tex02/padjump_flyred.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/pad_tex02/padjump_light02.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}


	{ 
		animmap 4 textures/pad_tex02/padjump_start.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/pad_tex02/padlolly_red
{

	qer_editorimage textures/pad_tex02/padani_red.tga	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_red.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_flaglog01.tga textures/pad_tex02/padani_flaglog03.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padlolly_blue
{
	qer_editorimage textures/pad_tex02/padani_blue.tga	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_blue.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_flaglog04.tga textures/pad_tex02/padani_flaglog02.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_maps/padlamp01
{
	qer_editorimage textures/pad_maps/padlamp01.tga
	q3map_surfacelight 1000
              q3map_flareshader flareshader
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/padlamp02
{
	qer_editorimage textures/pad_maps/padlamp02.tga
	q3map_surfacelight 1000
              q3map_flareshader flareshader
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/blobpad02
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/pad_maps/blobpad02.tga
		tcgen environment
                tcmod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc gl_one gl_one
	}

}

